Micropod2 Clone “No longer Supported by wiTech 1.0” Solution

Here’s the working solution to Chrysler diagnostic tool wiTech MicroPod 2 clone “No longer Supported by wiTech 1.0” error.

Error:

“This vehicle is supported by wiTECH 2.0 software. This vehicle is no longer supported by wiTECH 1.0. Please use wiTech 2.0 to service this vehicle. You will return to discovery. ”
wiTech-MicroPod-2-error

Solution from Obd2tool.com engineer:

Please DON’T update your wiTech to V2.0 even if you have online account.  You cannot do downgrade anymore and will have risk of being locked by Chrysler server.

Solution 1.
Remove current version V17.04.27, download and install lower version witech 17.03.10.

Solution 2.
Reinstall computer operating system, and install wiTech V17.04.27 software again.

Leave a Reply

Your email address will not be published. Required fields are marked *